Bug 92135 - Kernel 2.4.20-13.7 breaks SDDR-31 USB CF reader
Summary: Kernel 2.4.20-13.7 breaks SDDR-31 USB CF reader
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-03 04:02 UTC by Rick Richardson
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 19:39:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output mounting /mnt/flash with kernel 2.4.20-18.7 (9.46 KB, text/plain)
2003-06-04 22:19 UTC, Rick Richardson
no flags Details

Description Rick Richardson 2003-06-03 04:02:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I have an RH 7.2 that I just fully updated to current.  It has a SanDisk SDDR-31
compact flash reader on it.  This reader used to work with the previous kernel
(2.4.9-34, I think) - I used it for a year or two with the old kernel.  With the
latest kernel that up2date installs for RH 7.2,(2.4.20-13.7), I get:

Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sda: 96385 512-byte hdwr sectors (49 MB)
sda: Write Protect is off
 sda: sda1
usb-uhci.c: interrupt, status 3, frame# 1383
usb_control/bulk_msg: timeout

At the user level, the mount /mnt/flash command completed, but cp /mnt/flash/*
wherever/ just hung.  Rebooted several times and it always failed this way.

Let me know if there is any debugging info needed.



Version-Release number of selected component (if applicable):
kernel-2.4.20-13.7

How reproducible:
Always

Comment 1 Rick Richardson 2003-06-03 05:01:31 UTC
I'm told there aren't significant changes between the 2.4.20-13.7 kernel for RH
7.2, and the 2.4.20-13.9 kernel for RH 9, at least in the USB area.

Nevertheless, I took this reader over to my RH 9 system, and it worked perfectly
there.  Copied off all files, no hangs or error messages.

So maybe there are more changes in -13.9 than you think.

Comment 2 Pete Zaitcev 2003-06-03 21:06:08 UTC
No, there aren't any differences among .[789], but the usb-uhci is a little
too rude to some chipsets in -13 due to misguided VIA workarounds.
Please try 2.4.20-18 (2.4.20-18.7 in your case).


Comment 3 Rick Richardson 2003-06-04 22:19:26 UTC
Created attachment 92146 [details]
dmesg output mounting /mnt/flash with kernel 2.4.20-18.7

Here is the dmesg output with kernel 2.4.20-18.7.

The user command executing was mount /mnt/flash.  The command hung.

Note that with the -13.8 kernel, the mount command would work, but copying
files off the CF card would hang after a few files had been copied.

Comment 4 Dave Jones 2004-01-05 19:39:58 UTC
End of lifed since Jan 1st. No further updates for RHL7/8
Can you repeat this with RHL9 and the latest errata kernel ?
If so, please reopen.



Note You need to log in before you can comment on or make changes to this bug.